#ifndef SCORE_H
#define SCORE_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <kapp.h>
#include <qwidget.h>
#include <qstring.h>
#include <qrect.h>
#include <qfile.h>

#include "painter.h"
#include "bitfont.h"

#define maxPlayer 1

class Score : public QWidget
{
    Q_OBJECT
public:
    Score (QWidget *parent=0, const char *name=0, Bitfont *font=0);
    ~Score();
public slots:
    void set(int score);
    void set(int score, int player);
    void setFont(Bitfont *font=0);
    void read();
    void write();
protected:
    void  paintEvent( QPaintEvent * );
private:
    Bitfont *bitfont;

    QRect rect(int col, int row, QString str);
    int x(int col);
    int y(int row);
    
    int HighScore;
    int PlayerScore[maxPlayer];

    QFile file;
};

#endif // SCORE_H

